Bug 53898 - EDITING Completely broken - basic FORMATTING of a text document is random
Summary: EDITING Completely broken - basic FORMATTING of a text document is random
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 22:09 UTC by DeWalt
Modified: 2012-09-16 15:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DeWalt 2012-08-21 22:09:42 UTC
My son and I created a school assignment from scratch (no copy/cut and paste).  We prefixed each paragraph with a number (eg 1.) - which we didn't want auto-formatted, so we "undid" the auto-formatting.

Quite often, when we pressed "enter" on the end of a paragraph, LibreOffice re-format thd document randomly.  It split pages in the middle, indented paragraphs, etc. Once this behaviour started, the only way to get around it was to "paste special" the entire contents as unformatted text into a new document, and re-format them again (eg. with bold or italic - which was about the only formatting we did).  There were no pictures in the documents, no headers/footers - etc. It was a vanilla document.

We ended up having to do this exercise several times - as just about anything we did to a new document corrupted again.  We spent at least 80% of the time fighting Libre Office.

This is without doubt, the worst office package i've ever used - even worst than Open Office 1.0.  These problems are so fundamental, and so obvious, this product should have never been released (and YES, I am a developer myself).
Comment 1 bfoman (inactive) 2012-08-23 19:00:26 UTC
Could you attach any example documents to allow others to check on different
system/build? 
Also important information is missing - detailed description according to http://wiki.documentfoundation.org/BugReport will help reproduce your problem.
Comment 2 Roman Eisele 2012-08-24 11:22:29 UTC
Dear bug reporter,

first of all, thank you very much for your bug report! I completely understand that the experience you made with LibreOffice was very annoying for you; having to spend most time with fighting the application is a terrible thing; and therefore I also understand that you have got a very bad impression of LibreOffice. I am very sorry for this.

However, many people (like me) use LibreOffice every day without such or similar problems. Therefore, the bad experience you made with LibreOffice can not be caused just by the application itself -- something went terribly wrong here. I asked on our internal QA mailing list, if anybody had ever faced such problems, and the best guess we can make is that some corrupted or very unlucky configuration settings have caused the misbehaviour of LibreOffice you have encountered.

It would be very nice if you could help us to fix the problem by trying the following suggestions.


1) First of all, we must check if some corrupted preferences have caused this issue. To check this, you need to reset the LibreOffice user profile, and it may also be useful to disable (temporarily) all old LibreOffice/OpenOffice user profiles which may be still on your machine. On GNU/Linux, the user profile folder is at
  /home/<user name>/.config/libreoffice/3/user
and, if you had installed any version of LibreOffice before 3.5.0, at
  /home/<user name>/.libreoffice/3/user
. The OpenOffice user profile folder is at
  /home/<user name>/.openoffice.org/3/user
The folders are hidden by default, so please make sure your file explorer is configured to display the hidden files and folders.

To reset/disable these user profile folders, please quite LibreOffice (if running) and then rename each of the folders called /user at the locations listed above to something else, e.g. /user-old . Now please restart LibreOffice, don't change any application options (to keep the default options for now) and try if the problems still appear or are (at least partially) gone.

Please report here the results of this test. Thank you very much in advance!


2) Secondly, it might be helpful if we could take a look at the school assignment file you mention. Could you please attach it to this bug report? Then we could try if we can reproduce the problem with that file. Thank you very much again!


3) If none of the steps listed above helps, it may be necessary to make a screencast of the problem, e.g. with Istanbul or recordMyDesktop or some such. But this is only a last resort, so please try the suggestions above first.


Thank you very much for your understanding and help!
Comment 3 dE 2012-08-28 14:53:02 UTC
(In reply to comment #0)
> My son and I created a school assignment from scratch (no copy/cut and paste). 
> We prefixed each paragraph with a number (eg 1.) - which we didn't want
> auto-formatted, so we "undid" the auto-formatting.
> 
> Quite often, when we pressed "enter" on the end of a paragraph, LibreOffice
> re-format thd document randomly.  It split pages in the middle, indented
> paragraphs, etc. Once this behaviour started, the only way to get around it was
> to "paste special" the entire contents as unformatted text into a new document,
> and re-format them again (eg. with bold or italic - which was about the only
> formatting we did).  There were no pictures in the documents, no
> headers/footers - etc. It was a vanilla document.
> 
> We ended up having to do this exercise several times - as just about anything
> we did to a new document corrupted again.  We spent at least 80% of the time
> fighting Libre Office.
> 
> This is without doubt, the worst office package i've ever used - even worst
> than Open Office 1.0.  These problems are so fundamental, and so obvious, this
> product should have never been released (and YES, I am a developer myself).

Question is -- do you have an option?

Humm.. I think we do.
Comment 4 Rainer Bielefeld Retired 2012-09-16 15:22:12 UTC
Never saw a Problem like that, I am pretty sure that the reporter has some Autocorrect Options active that he does not understand.

No chance, Closing Bug due to reporter's inactivity as INVALID due to lacking information.